import React from "react";
import styled from "styled-components";
import LobbyPlayerList from "./LobbyPlayerList";
import HeaderAndFooter from "../../util/HeaderAndFooter";
import { useGameJoined } from "../../../domain/gameStore";
import JoinForm from "./JoinForm";
import LobbyInfo from "./LobbyInfo";

const InfoContainer = styled.div`
  flex: 3;
  align-self: center;

  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
`

const PageContainer = styled.div`
  flex: 1;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: flex-start;
`

const Lobby = ({ onStart }) => {
  const joined = useGameJoined();

  return (
    <HeaderAndFooter>
      <PageContainer>
        <InfoContainer>
          {
            joined
              ? <LobbyInfo onStart={onStart}/>
              : <JoinForm />
          }
        </InfoContainer>
        <LobbyPlayerList/>
      </PageContainer>
    </HeaderAndFooter>
  )
};

export default Lobby;
